Bug 1470038 - [abrt] gnome-shell: gtk_icon_info_load_icon_finish(): gnome-shell killed by signal 6
[abrt] gnome-shell: gtk_icon_info_load_icon_finish(): gnome-shell killed by s...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6cbd0f789f41e2c63980cb01778...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 06:20 EDT by "FeRD" (Frank Dana)
Modified: 2017-07-25 02:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 02:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (76.02 KB, text/plain)
2017-07-12 06:20 EDT, "FeRD" (Frank Dana)
no flags Details
File: cgroup (389 bytes, text/plain)
2017-07-12 06:20 EDT, "FeRD" (Frank Dana)
no flags Details
File: core_backtrace (56.68 KB, text/plain)
2017-07-12 06:20 EDT, "FeRD" (Frank Dana)
no flags Details
File: cpuinfo (927 bytes, text/plain)
2017-07-12 06:20 EDT, "FeRD" (Frank Dana)
no flags Details
File: dso_list (26.37 KB, text/plain)
2017-07-12 06:20 EDT, "FeRD" (Frank Dana)
no flags Details
File: environ (2.07 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details
File: maps (127.01 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details
File: open_fds (7.00 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details
File: var_log_messages (4.54 KB, text/plain)
2017-07-12 06:21 EDT, "FeRD" (Frank Dana)
no flags Details

  None (edit)
Description "FeRD" (Frank Dana) 2017-07-12 06:20:48 EDT
Description of problem:
I believe, though there is admittedly conjecture involved on my part, that this crash is one manifestation of a general failure in Gnome Shell SVG file support, since upgrading my laptop from F25 to F26. My encounters with this issue so far:

1. Attempting to open the Activities view in the Shell's Overview crashes Gnome Shell.

2. If an alternative Shell launcher extension is installed, such as Activities Menu, then opening CERTAIN categories will crash Gnome Shell. (e.g. I can view the list in Accessories with no problem, but opening Internet crashes the Shell, presumably because one of the applications in Internet is using a .svg icon)

3. Nautilus does not display .svg thumbnails, unlike my F25 desktop, if visiting e.g. /usr/share/icons/hicolor/scalable/apps/. All other (supported) image file formats are thumbnailed correctly.

4. eog (Image Viewer) does not displays thumbnails for .svg files in its Gallery, though it can display the files themselves.

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gtk_icon_info_load_icon_finish
executable:     /usr/bin/gnome-shell
journald_cursor: s=8b81079e71864f49848289d71112a5ec;i=32c4a;b=43c394ddbe664561839383bbb939302a;m=3c8958c11;t=5541b9ca6ff42;x=52519fa4b4ff0932
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1405102
Comment 1 "FeRD" (Frank Dana) 2017-07-12 06:20:55 EDT
Created attachment 1296836 [details]
File: backtrace
Comment 2 "FeRD" (Frank Dana) 2017-07-12 06:20:56 EDT
Created attachment 1296837 [details]
File: cgroup
Comment 3 "FeRD" (Frank Dana) 2017-07-12 06:20:57 EDT
Created attachment 1296838 [details]
File: core_backtrace
Comment 4 "FeRD" (Frank Dana) 2017-07-12 06:20:58 EDT
Created attachment 1296839 [details]
File: cpuinfo
Comment 5 "FeRD" (Frank Dana) 2017-07-12 06:20:59 EDT
Created attachment 1296840 [details]
File: dso_list
Comment 6 "FeRD" (Frank Dana) 2017-07-12 06:21:00 EDT
Created attachment 1296841 [details]
File: environ
Comment 7 "FeRD" (Frank Dana) 2017-07-12 06:21:01 EDT
Created attachment 1296842 [details]
File: limits
Comment 8 "FeRD" (Frank Dana) 2017-07-12 06:21:02 EDT
Created attachment 1296843 [details]
File: maps
Comment 9 "FeRD" (Frank Dana) 2017-07-12 06:21:04 EDT
Created attachment 1296844 [details]
File: open_fds
Comment 10 "FeRD" (Frank Dana) 2017-07-12 06:21:05 EDT
Created attachment 1296845 [details]
File: proc_pid_status
Comment 11 "FeRD" (Frank Dana) 2017-07-12 06:21:06 EDT
Created attachment 1296846 [details]
File: var_log_messages
Comment 12 Florian Müllner 2017-07-14 08:41:37 EDT
#2  0x00007fccb36b970d in g_assertion_message (domain=domain@entry=0x7fccb7aea238 "Gtk", file=file@entry=0x7fccb7b235dd "gtkicontheme.c", line=line@entry=4258, func=func@entry=0x7fccb7b24190 <__func__.41728> "gtk_icon_info_load_icon_finish", message=message@entry=0x55f9cd2b0200 "assertion failed: (icon_info_get_pixbuf_ready (icon_info))") at gtestutils.c:2433

This suggests that gtk_icon_info_load_icon_async() either calls the passed callback before the icon is actually ready, or doesn't handle an error that occurred during load. The latter looks more likely to me, in particular if it's an error that only started to occur recently due to changes in librsvg (which is in the process of being ported to rust, so big changes with lots of potential for bugs).

In any case this isn't anything that can be handled in gnome-shell.
Comment 13 "FeRD" (Frank Dana) 2017-07-25 02:13:27 EDT
After failing in my efforts to make the upgraded system usable, I decided to do a fresh install of F26 direct from the DVD media to a new root LV created alongside this upgraded one. While that install process was not without its own hiccups (bug 1474042), once I had the install up and running I experienced none of the same issues with SVG files that were plagueing me post-upgrade.

I'm not sure WHAT exactly is different about the upgraded install, vs. the new one. It's not my user account, as the first thing I tried was moving that out of the way and it had no effect. I also created a new user account and experienced the same problems. I can only guess it's perhaps one of the third-party packages installed on the system, or perhaps something in my configs in /etc/, that's causing this problem.

Regardless, since it appears to be something unique to my individual Fedora install, closing this as unable to reproduce.

Note You need to log in before you can comment on or make changes to this bug.